// @flow
import React from 'react'
import { BrowserRouter, Switch, Route } from 'react-router-dom'

import logo from 'assets/logo.svg'
import s from './app.scss'
import './body.sass'

const body = () =>
  <div className={s.App}>
    <div className={s.AppHeader}>
      <img src={logo} className={s.AppLogo} alt="logo" />
    </div>
    <h2 className={s.title}>Welcome to React</h2>

    <p className={s.AppIntro}>
      To get started, edit
      <code>src/App.js</code>
      and save to reload.
    </p>
  </div>

const Page404 = () => <h1>Page not found</h1>

const App = () =>
  <BrowserRouter>
    <Switch>
      <Route exact path="/" component={body} />
      <Route path="/about" component={body} />
      <Route component={Page404} />
    </Switch>
  </BrowserRouter>

export default App
