import React from 'react'
import { BrowserRouter, Switch, Route } from 'react-router-dom'

import { Example, Page404, About } from 'components/pages'
import * as r from 'constants/routes'

export default () =>
  <BrowserRouter>
    <Switch>
      <Route        path={r.ABOUT}   component={About} />
      <Route        path={r.EXAMPLE} component={Example} />

      <Route component={Page404} />
    </Switch>
  </BrowserRouter>