// @flow

import React from 'react'
import { bindActionCreators } from 'redux'
import { connect } from 'react-redux'

import { getIPRequest } from 'actions/example'

class Example extends React.Component {
  componentDidMount() {
    this.props.getIPRequest()
  }
  render() {
    return (
      <div>
        your ip is: { this.props.example.ip }
      </div>
    )
  }
}

function mapStateToProps(state) {
  return {
    example: state.example
  }
}
function mapDispatchToProps(dispatch) {
  return {
    getIPRequest: bindActionCreators(getIPRequest, dispatch)
  }
}

export default connect(mapStateToProps, mapDispatchToProps)(Example)