import {call, put, takeEvery} from 'redux-saga/effects'

import { getIPSuccess } from 'actions/example'
import { getIP } from 'helpers/api'
import * as c from 'constants/actions'

function* handleIPRequest() {
  const result = yield call(getIP)
  yield put(getIPSuccess(result.ip))
}


export default function* watcherHandleIPRequest () {
  yield takeEvery(c.API_GET_CURRENT_IP_REQUEST, handleIPRequest)
}
